# Class TTypeQualifierValue

java.lang.Object
org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>
com.databricks.jdbc.model.client.thrift.generated.TTypeQualifierValue

All Implemented Interfaces:
  `Serializable`, `Comparable<TTypeQualifierValue>`, `org.apache.thrift.TBase<TTypeQualifierValue,TTypeQualifierValue._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TTypeQualifierValue extends org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TTypeQualifierValue._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TTypeQualifierValue._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

## Constructor Summary

Constructors
Constructor
Description
`TTypeQualifierValue()`
`TTypeQualifierValue(TTypeQualifierValue other)`
`TTypeQualifierValue(TTypeQualifierValue._Fields setField, Object value)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkType(TTypeQualifierValue._Fields setField, Object value)`
`int`
`compareTo(TTypeQualifierValue other)`
`TTypeQualifierValue`
`deepCopy()`
`protected TTypeQualifierValue._Fields`
`enumForId(short id)`
`boolean`
`equals(TTypeQualifierValue other)`
`boolean`
`equals(Object other)`
`TTypeQualifierValue._Fields`
`fieldForId(int fieldId)`
`protected org.apache.thrift.protocol.TField`
`getFieldDesc(TTypeQualifierValue._Fields setField)`
`int`
`getI32Value()`
`String`
`getStringValue()`
`protected org.apache.thrift.protocol.TStruct`
`getStructDesc()`
`int`
`hashCode()`
`static TTypeQualifierValue`
`i32Value(int value)`
`boolean`
`isSetI32Value()`
`boolean`
`isSetStringValue()`
`void`
`setI32Value(int value)`
`void`
`setStringValue(String value)`
`protected Object`
`standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void`
`standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`
`static TTypeQualifierValue`
`stringValue(String value)`
`protected Object`
`tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void`
`tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### metaDataMap

public static final Map<TTypeQualifierValue._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TTypeQualifierValue

public TTypeQualifierValue()

### TTypeQualifierValue

public TTypeQualifierValue(TTypeQualifierValue._Fields setField, Object value)

### TTypeQualifierValue

public TTypeQualifierValue(TTypeQualifierValue other)

## Method Details

### deepCopy

public TTypeQualifierValue deepCopy()

### i32Value

public static TTypeQualifierValue i32Value(int value)

### stringValue

public static TTypeQualifierValue stringValue(String value)

### checkType

protected void checkType(TTypeQualifierValue._Fields setField, Object value) throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>`
Throws:
  `ClassCastException`

### standardSchemeReadValue

protected Object standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field) throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### standardSchemeWriteValue

protected void standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeReadValue

protected Object tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeWriteValue

protected void tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### getFieldDesc

protected org.apache.thrift.protocol.TField getFieldDesc(TTypeQualifierValue._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>`

### getStructDesc

protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>`

### enumForId

protected TTypeQualifierValue._Fields enumForId(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields>`

### fieldForId

public TTypeQualifierValue._Fields fieldForId(int fieldId)

### getI32Value

public int getI32Value()

### setI32Value

public void setI32Value(int value)

### getStringValue

public String getStringValue()

### setStringValue

public void setStringValue(String value)

### isSetI32Value

public boolean isSetI32Value()

### isSetStringValue

public boolean isSetStringValue()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TTypeQualifierValue other)

### compareTo

public int compareTo(TTypeQualifierValue other)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`